﻿@import url("card.css");

/* order status with backgroud color */
.status_hold {    background-color: Red;    color: White;}
.status_canceled{    background-color: #CC0000;    color: White;}
.status_entered{    background-color: Blue;    color: White;}
.status_production{    background-color: Green;    color: White;}
.status_shipped{    background-color: #9933FF;    color: White;}
.status_invoiced{    background-color: Black;    color: White;}
.status_closed {   background-color: Black;    color: White;}
.status_backorder { background-color: Red;    color: White;}
.status_unknown{    background-color: Red;    color: White;}

/* order status with only text color */
.status_color_hold { color: Red;}
.status_color_canceled {   color: Red;}
.status_color_entered { color: #0033CC;}
.status_color_production{ color: Green; }
.status_color_shipped{    color: #9933FF;}
.status_color_invoiced{    color: Black;}
.status_color_closed{    color: Black;}
.status_color_backorder{    color: Red;}
.status_color_unknown { color: Red; }


.order_summary_list
{
}

.order_summary_list .page_num
{
    display: inline-block;
    padding: 3px;
    text-align: center;
    border: solid 1px #d0d0d0;
    width: 20px;
}

.order_summary_list .current_page_num
{
    border: solid 1px #666666;
    background-color: #d0d0d0;
}

.order_summary_item
{
    width: 100%;
    border: solid 1px #d0d0d0;
    margin-bottom: 1em;
}

.order_summary_item th
{
    padding: 5px;
    font-size: 1.2em;
    background-color: #f0f0f0;
    border-bottom: solid 1px #d0d0d0;
    font-weight: bold;
}

.order_summary_item th.order_status
{
    text-align: right;
    padding-right: 10px;
}

table td.label
{
    text-align: right;
    font-weight: bold;
    padding-right: 0px;
    vertical-align: top;
}

table td.value
{
    vertical-align: top;
}


table.label_value
{
}

/* orderview */
#orderview
{
}

#orderview h2
{
    font-size: 1.2em;
    margin: 0px;
    padding: 5px;
    border-style: none;
}

#orderview table td.box
{
    padding: 0px;
    margin: 0px;
    vertical-align: top; 
    border: solid 1px #d0d0d0;    
}

#orderview table td.box h2
{
    background-color: #f0f0f0;    
}

#order_item
{
}

#order_item .itemoption_box
{
}

#order_item .itemoption_box ul
{
    margin: 0px;
    padding: 0px;
    list-style-type: none;
}

#order_item .config-cate-details
{
    display: none; 
    border: solid 1px #cccccc; 
    margin: 5px 10px 10px 0px; 
    padding: 10px; 
    background-color: #f6f6f6;
}

#order_item .config-cate-details li
{
    margin-bottom: 1.0em;
}

#order_item .config-cate-details li strong
{
    color: Blue;
}


.item_highlight { padding-left: 40px; }
.item_highlight ul 
{ 
    list-style-type: circle; 
    padding: 0px;
}
.item_highlight ul li
{
	padding: 3px;
	font-size: 1.1em;
    /*font-weight: bold;*/
}

div.box {
    padding: 4px;
    margin: 0px;
    vertical-align: top;
    border: solid 1px #d0d0d0;
}

div.round-box {
    border-radius: 3px;
}

div.highlight-box {
    border: solid 3px var(--color-bg-warning);
}

div.important-msg-box {
    border: solid 1px #f5c6cb;
    border-radius: 3px;
    padding: 16px;
    color: var(--color-danger);
    background-color: var(--color-bg-danger);
}

div.info-msg-box {
    border: solid 3px var(--color-bg-warning);
    border-radius: 3px;
    padding: 16px;
}

.form-label {
    display: inline-block;
    margin-bottom: 0.5rem;
    margin-top: 1rem;
}

.form-control {
    display: block;
    width: 100%;
    padding: 0.2rem 0.75rem;
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5;
    border: 1px solid #d0d0d0;
    border-radius: 0.375rem;
}

/*
    New Form UI
*/
.form-container {
    display: grid;
    grid-template-columns: auto 1fr;
    gap: .25rem .75rem;
    align-items: center;
}

    .form-container > label, .form-container > .label {
        font-weight: bold;
        color: #555;
        justify-self: end; /* 라벨을 오른쪽 정렬 */
    }

    .form-container > div {
        width: 100%;
    }

    /* 이전과 동일한 input 스타일 */
    .form-container > input {
    }


.button {
    min-width: 80px;
}

.group-box {
    margin-top: 10px;
}
